Loading...
Searching...
No Matches
OFremove_reference< T > Struct Template Reference

Metafunction to remove the reference from a type. More...

## Detailed Description

template<typename T>
struct OFremove_reference< T >

Metafunction to remove the reference from a type.

OFremove_reference provides a public member typedef "type" for the type referred by the given parameter.

See also
  http://en.cppreference.com/w/cpp/types/remove_reference for details.

Template Parameters

  T | The type its reference should be removed.

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/oftraits.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0